POST Agents/Relation/GetContactRelationEntity
Some tooltip text!
• 4 minutes to read
• 4 minutes to read
POST /api/v1/Agents/Relation/GetContactRelationEntity
Gets a ContactRelationEntity object.
NsApiSlow threshold: 5000 ms.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| contactRelationEntityId | int32 | Required The identifier of the ContactRelationEntity object |
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/Relation/GetContactRelationEntity?contactRelationEntityId=851
POST /api/v1/Agents/Relation/GetContactRelationEntity?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ContactRelationEntity
| Property Name | Type | Description |
|---|---|---|
| SourceContactId | int32 | Id of the source contact. The value is mandatory. |
| SourcePersonId | int32 | Id of the source person. The value is not mandatory. The person must belong to the source contact. |
| DestinationContactId | int32 | Id of the destination contact. The value is mandatory. |
| DestinationPersonId | int32 | Id of the destination person. The value is not mandatory. The person must belong to the destination contact. |
| RelationId | int32 | Primary key |
| Comment | string | Comment for relation |
| RelationDefinitionId | int32 | Reference to definition |
| Reversed | int32 | Is direction reversed relative to definition |
| UpdatedDate | date-time | Last updated when in UTC. |
| CreatedDate | date-time | Registered when in UTC. |
| CreatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent. |
| UpdatedBy | Associate | Carrier object for Associate. Services for the Associate Carrier is available from the Associate Agent. |
| SourceContactName | string | Name of the source contact. |
| SourcePersonName | string | Name of the source person. |
| DestinationContactName | string | Name of the destination contact. |
| DestinationPersonName | string | Name of the destination person. |
| ActiveText | string | Active text for the relation. |
| PassiveText | string | Passive text for the relation. |
| TableRight | TableRight | The carrier's table right |
| FieldProperties | object | Field property dictionary mapping field names to field access rights. |
Sample request
POST /api/v1/Agents/Relation/GetContactRelationEntity
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: en
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"SourceContactId": 586,
"SourcePersonId": 773,
"DestinationContactId": 478,
"DestinationPersonId": 720,
"RelationId": 930,
"Comment": "Strategic partnership established for joint marketing initiatives in Nordic region",
"RelationDefinitionId": 605,
"Reversed": 152,
"UpdatedDate": "2024-11-15T14:30:00+01:00",
"CreatedDate": "2024-01-15T09:00:00+01:00",
"CreatedBy": null,
"UpdatedBy": null,
"SourceContactName": "Acme Corporation",
"SourcePersonName": "John Anderson",
"DestinationContactName": "Tech Solutions AS",
"DestinationPersonName": "Sarah Johnson",
"ActiveText": "is a partner of",
"PassiveText": "has partner",
"TableRight": null,
"FieldProperties": {
"fieldName": {
"FieldRight": null,
"FieldType": "System.String",
"FieldLength": 509
}
}
}